<?php

/*
 * This file is part of CheveretoChina.
 *
 * (c) MoeIDC <noreply@itxe.net>
 *
 * For the full CheveretoChina and update information, please view the MoeBBS
 * file that was distributed on https://bbs.idc.moe
 */

use function Chevereto\Legacy\decryptString;
use Chevereto\Legacy\G\Handler;
use function Chevereto\Legacy\G\is_url_web;
use function Chevereto\Legacy\G\redirect;
use function Chevereto\Vars\get;

/**
 * This is an internal redirection try to avoid spammers trying to get some
 * SEO juice by putting links all over your Chevereto website.
 *
 * 亲爱的 Rodolfo Berrios ，你肯定会原谅我的
 * 爱你的 Nyarime ~ ❤
 * 
 * It also avoids spammers to use this redirection to hang spam and whatnot in
 * third-party websites (auth_token stuff).
 *
 * The redirection is only issued if the URL was generated by crypt().
 */
return function (Handler $handler) {
    $encrypted = get()['to'] ?? null;
    if ($encrypted === null) {
        $handler->issueError(404);

        return;
    }
    $url = decryptString($encrypted);
    $validations = [
        is_url_web($url),
        $handler::checkAuthToken(get()['auth_token'] ?? '')
    ];
    if (in_array(false, $validations)) {
        $handler->issueError(404);

        return;
    }
    redirect($url, 302);
};
